OpenShot Audio Library | OpenShotAudio: juce::DeletedAtShutdown Class Reference

OpenShot Audio Library | OpenShotAudio 0.3.1

Loading...
Searching...
No Matches
Static Public Member Functions | Protected Member Functions | List of all members
juce::DeletedAtShutdown Class Reference

`#include <juce_DeletedAtShutdown.h>`

Inherited by juce::Timer::TimerThread`[private]`.

## Static Public Member Functions
static void | deleteAll ()

## Protected Member Functions
| DeletedAtShutdown ()
virtual | ~DeletedAtShutdown ()

## Detailed Description

Classes derived from this will be automatically deleted when the application exits.

After JUCEApplicationBase::shutdown() has been called, any objects derived from DeletedAtShutdown which are still in existence will be deleted in the reverse order to that in which they were created.

So if you've got a singleton and don't want to have to explicitly delete it, just inherit from this and it'll be taken care of.

Definition at line 39 of file juce_DeletedAtShutdown.h.

## Constructor & Destructor Documentation

## ◆ DeletedAtShutdown()

juce::DeletedAtShutdown::DeletedAtShutdown | ( |  | ) |
| protected

Creates a DeletedAtShutdown object.

Definition at line 34 of file juce_DeletedAtShutdown.cpp.

## ◆ ~DeletedAtShutdown()

juce::DeletedAtShutdown::~DeletedAtShutdown | ( |  | ) |
| protectedvirtual

Destructor.

It's ok to delete these objects explicitly - it's only the ones left dangling at the end that will be deleted automatically.

Definition at line 40 of file juce_DeletedAtShutdown.cpp.

## Member Function Documentation

## ◆ deleteAll()

void juce::DeletedAtShutdown::deleteAll | ( |  | ) |
| static

Deletes all extant objects.

This shouldn't be used by applications, as it's called automatically in the shutdown code of the JUCEApplicationBase class.

Definition at line 53 of file juce_DeletedAtShutdown.cpp.

The documentation for this class was generated from the following files:

- juce_DeletedAtShutdown.h
- juce_DeletedAtShutdown.cpp